Subject: Re: drill bits

From: [email-masked]
Date: Wed, 07 Aug 1996 08:48:12 -0600

These bit sharpeners that you see at Northern, has anyone used them? Are
>they worth $50 or whatever they cost? I don't go through a lot of bits but
>it would be great to sharpen them up faster.
>
>--
>David
>http://www.flash.net/~dwwilson/
>[email-masked]

A couple of years ago I bought one of those bit sharpeners from Northern
that has the little holes you put the bit down in. I even bought the extra
head for additional bit sizes.  That thing is a total joke. Absolutely
worthless!  I complained to Northern.  They essentially said Tough Sh%$!
I finally got a Craftsman gadget like Michael Spencer describes, and rigged
up with a face grinding stone on and old motor.  It does a good job.

Mike George
[email-masked]